Skip to content

agent_details_callback

Agent Details Callback

Request

HTTP callback endpoint to receive agent details from the subscriber.

If a WebSocket is already connected for this job_number, the data is sent immediately.

If NOT, we queue the data in pending_messages so it can be sent as soon as the WebSocket connects (avoids race conditions).

Security
CallbackToken
Query
job_numberstring(Job Number)required
Headers
x-callback-tokenstring or null(X-Callback-Token)
Any of:
string
Bodyapplication/jsonrequired
Array [
property name*anyadditional property
]
POST
/api/v1/callback/agent_details
curl -i -X POST \
  'https://matric-docs.redocly.app/_mock/openapi/api/v1/callback/agent_details?job_number=string' \
  -H 'Content-Type: application/json' \
  -H 'X-Callback-Token: YOUR_API_KEY_HERE' \
  -H 'x-callback-token: string' \
  -d '[
    {}
  ]'

Responses

Successful Response

Bodyapplication/json
any
Response
// No response example